re2c (3.1-1) unstable; urgency=medium

  * New upstream version 3.1
  * Control: bump Standards-Version to 4.6.2 (from 4.6.1; no further
    changes).
  * Patches: expand 02 to fix more typos.
  * Clean: add manpages for re2{go,rust}.
  * Control: add build-dep on jdupes.
  * Rules: call jdupes to deal with some duplicate files in examples.

 -- Jeroen Ploemen <jcfp@debian.org>  Tue, 08 Aug 2023 11:36:36 +0000

re2c (3.0-2) unstable; urgency=medium

  * Watch: switch to github api.
  * Control: bump std-ver to 4.6.1 (from 4.6.0; no changes).

 -- Jeroen Ploemen <jcfp@debian.org>  Sun, 04 Dec 2022 21:44:51 +0000

re2c (3.0-1) unstable; urgency=medium

  * New upstream version 3.0
  * Tests: also symlink re2go, re2rust in upstream-runtests.
  * Patches: refresh 02 (mostly merged upstream).
  * Rules: also remove __run_all script from rust examples.
  * Lintian: add override to ignore long lines in test data.
  * Control: update short description to mention Rust support.

 -- Jeroen Ploemen <jcfp@debian.org>  Thu, 03 Feb 2022 12:01:46 +0000

re2c (2.2-1) unstable; urgency=medium

  * New upstream release.
  * Change maintainer to my debian.org email address.
  * Bump Standards-Version to 4.6.0 (from 4.5.1; no further changes).
  * Rules: add override for dh_auto_test to ensure Python
    multiprocessing.Pool() is supported, and otherwise skip the
    testsuite.
  * Tests: upstream switched testsuite to Python3, adjust the
    autopkgtest accordingly.
  * Control: build-depend on python3 for the upstream testsuite.

 -- Jeroen Ploemen <jcfp@debian.org>  Thu, 19 Aug 2021 10:17:21 +0000

re2c (2.1.1-1) experimental; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.5.1 (from 4.5.0; no further changes).
  * Watch: bump version to 4.
  * Control: add Rules-Requires-Root: no.
  * Patches: expand 02 to cover fresh new typos.

 -- Jeroen Ploemen <jcfp@debian.org>  Wed, 07 Jul 2021 09:20:41 +0000

re2c (2.0.3-1) unstable; urgency=medium

  * New upstream release.
  * Patches: remove 01 (fix released upstream), refresh 02.
  * Copyright:
    + account for renamed test files.
    + update current upstream maintainer info.
  * Control: refresh description, mention newly added support for Go.
  * Rules: don't install the __run_all scripts with the examples.

 -- JCF Ploemen (jcfp) <linux@jcf.pm>  Mon, 24 Aug 2020 09:05:07 +0000

re2c (1.3-2) unstable; urgency=high

  [ JCF Ploemen (jcfp) ]
  * Control: add build-dep on python3-pygments, for use by rst2man.
  * Patches:
    + add 01, backport of the upstream fix for a heap-based buffer
      overflow in Scanner::fill in parse/scanner.cc.
      (CVE-2020-11958; closes: #963158)
    + add 02, fix for a manpage spelling error.
  * Rules: switch dh_auto_test override to execute_after.
  * Lintian: remove override for override_dh_auto_test-does-not-
    check-DEB_BUILD_OPTIONS, no longer needed.
  * Bump compat level to 13 (from 12; no further changes).

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Submit.
  * Update standards version to 4.5.0, no changes needed.

 -- JCF Ploemen (jcfp) <linux@jcf.pm>  Tue, 23 Jun 2020 14:18:11 +0000

re2c (1.3-1) unstable; urgency=medium

  [ JCF Ploemen (jcfp) ]
  * New upstream release:
    + makes the build reproducible. (Closes: #934697)
  * Control: switch Vcs fields to salsa.d.o.
  * Patches: remove all, merged upstream.
  * Copyright: account for upstream reshuffling of tests and add entries
    for new tests.

  [ Debian Janitor ]
  * Use secure URI in Homepage field.
  * Set upstream metadata fields: Bug-Database, Repository, Repository-
    Browse.
  * Bump Standards-Version to 4.4.1 (from 4.4.0; no further changes).

 -- JCF Ploemen (jcfp) <linux@jcf.pm>  Wed, 08 Jan 2020 10:57:29 +0000

re2c (1.2.1-1) unstable; urgency=medium

  * New upstream release.
  * Watch: extend extensions for releases beyond just ".tar.gz".
  * Patches:
    + refresh 02 (remove fuzz) and rebase on manpage source files.
    + remove 03 (issue fixed upstream).
  * Copyright: adjust file path for php-releated tests that were moved
    to a subdir.
  * Rules:
    + remove dh_compress override, examples are excluded by default
      with compat 12.
    + override dh_auto_configure: add --enable-docs to generate docs
      during build rather than rely on bootstrapped files.
  * d/docs: remove, sole listed file no longer shipped upstream.
  * Bump compat level to 12 (from 11; no further changes).
  * Bump Standards-Version to 4.4.0 (from 4.2.1; no further changes).
  * Control:
    + use debhelper-compat instead of debian/compat.
    + add build-dep on python3-docutils (needed by --enable-docs).
  * d/clean: add to remove files modified by --enable-docs.

 -- JCF Ploemen (jcfp) <linux@jcf.pm>  Mon, 12 Aug 2019 09:44:08 +0000

re2c (1.1.1-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.2.1 (from 4.1.0; no further changes).
  * Set compat level and debhelper build-dep version to 11.
  * Patches:
    + refresh 02.
    + add 03_backported_fix_upstream_issue_215.
  * Remove trailing whitespaces from d/{changelog,control}.
  * Copyright:
    + convert to machine-readable format.
    + add entries for some of the test files.
  * Tests: add initial autopkgtest, using upstream test suite.
  * Lintian: override license-problem-php-license and
    override_dh_auto_test-does-not-check-DEB_BUILD_OPTIONS: both false
    positives.
  * Rules: remove overrides for dh_installexamples (excluded files no
    longer shipped upstream) and dh_installchangelogs (file is found
    automagically now).

 -- JCF Ploemen (jcfp) <linux@jcf.pm>  Wed, 03 Oct 2018 08:41:27 +0000

re2c (1.0.1-1) unstable; urgency=medium

  * New upstream release.
  * Control: mark package multi-arch: foreign. (Closes: #865011)
  * Bump Standards-Version to 4.1.0.0 (from 3.9.8; no further changes).
  * Patches:
    + Remove 01, merged upstream.
    + Update 02 to catch fresh new typos.
  * Compat: bump to 10 (from 9) and set debhelper version accordingly.
  * Rules:
    + simplify dh_auto_test override.
    + exclude all examples from compression.

 -- JCF Ploemen (jcfp) <linux@jcf.pm>  Tue, 22 Aug 2017 15:27:17 +0000

re2c (0.16-2) unstable; urgency=medium

  * Control: switch Vcs-Git url to https.
  * Rules:
    + enable all hardening options.
    + don't run tests when crosscompiling; patch courtesy of Helmut
      Grohne. (Closes: #843217)
    + tweak compression of examples for consistency. (Closes: #849575)
  * Watch: switch to github, upstream only keeps sf.net around as a
    backup.
  * Patches:
    + add 01: fix segvault with null input, backported from upstream
      commit 54711f6. (Closes: #823999)
    + add 02: correct some minor typos in the manpage.
  * Bump Standards-Version to 3.9.8 (from 3.9.6, no further changes).

 -- JCF Ploemen (jcfp) <linux@jcf.pm>  Tue, 10 Jan 2017 10:23:58 +0000

re2c (0.16-1) unstable; urgency=medium

  * New upstream release:
    + Fixes test failures on big endian archs. (LP: #1531563)
  * Rules: ensure failed tests are visible in the buildlog.
  * Drop patch 01, merged upstream.

 -- JCF Ploemen (jcfp) <linux@jcf.pm>  Fri, 22 Jan 2016 10:26:19 +0000

re2c (0.15.3-1) unstable; urgency=medium

  * New upstream release. (Closes: #747184)
  * New maintainer. (Closes: #808410)
  * Add d/source/format, set to 3.0 (quilt).
  * Control:
    + Set debhelper version (and d/compat) to 9.
    + Add missing ${misc:Depends} dependency to the binary package.
    + Add VCS links.
    + Change upstream homepage to re2c.org.
    + Description: remove needless dot from the end, stop using first
      person.
  * Copyright: update list of upstream authors.
  * Docs: don't install README, not relevant for end users and
    duplicating info already in the packaging.
  * Rules: convert to dh sequencer.
  * Examples: don't install "lessons", removed upstream.
  * Bump standards-version to 3.9.6 (from 3.8.0), no further changes.
  * Add patch 01: fix typos in manpage and usage info.
  * Watch: escape dot in version matching regexp.

 -- JCF Ploemen (jcfp) <linux@jcf.pm>  Mon, 21 Dec 2015 07:55:14 +0000

re2c (0.13.5-1) unstable; urgency=low

  * New upstream release; closes: #486598.
  * Update to Standards-Version: 3.8.0.

 -- Robert S. Edmonds <edmonds@debian.org>  Thu, 17 Jul 2008 16:08:56 -0400

re2c (0.13.3-1) unstable; urgency=low

  * New upstream release; closes: #472003.

 -- Robert S. Edmonds <edmonds@debian.org>  Tue, 01 Apr 2008 16:16:59 -0400

re2c (0.12.1-1) unstable; urgency=low

  * New upstream release, closes: #416697.
  * New maintainer, closes: #320283.

 -- Robert S. Edmonds <edmonds@debian.org>  Sun, 27 May 2007 19:56:53 -0400

re2c (0.9.12-2) unstable; urgency=low

  * QA upload.
  * re.h: Add forward declaration for gcc 4.1.  Thanks to Martin Michlmayr
    for the patch.  Closes:  #356168.

 -- Matej Vela <vela@debian.org>  Fri, 10 Mar 2006 08:20:45 +0100

re2c (0.9.12-1) unstable; urgency=low

  * QA upload.
  * New upstream release.  Closes: #348983.

 -- Matej Vela <vela@debian.org>  Sat, 21 Jan 2006 22:22:46 +0100

re2c (0.9.10-2) unstable; urgency=low

  [ QA Group upload ]
  * debian/changelog: restore 0.9.1-7 changelog entry
  * debian/rules:
    - remove -I. from CFLAGS (redundant)
    - remove INSTALL* cruft (not used)
    - touch build-stamp to prevent running the tests twice
    - use make distclean is buggy, so do the equivalent of it using rm
    - add binary-indep target as it is required by policy
    - re2c.1 already installed by upstream
  * debian/watch:
    - use version=2 for dehs compatability
    - quote .tar.gz

 -- Paul Wise <pabs3@bonedaddy.net>  Tue, 18 Oct 2005 17:41:50 +0800

re2c (0.9.10-1) unstable; urgency=low

  [ QA Group upload ]
  * New upstream release
  * Add Homepage to package description

 -- Paul Wise <pabs3@bonedaddy.net>  Tue, 18 Oct 2005 17:02:17 +0800

re2c (0.9.9-2) unstable; urgency=low

  [ QA Group upload ]
  * Clean the source tree properly
  * Remove prerm/postinst
  * Strip binaries properly
  * Fix examples permissions

 -- Paul Wise <pabs3@bonedaddy.net>  Thu,  1 Sep 2005 13:01:08 +0800

re2c (0.9.9-1) unstable; urgency=low

  [ QA Group upload ]
  * New upstream release (Closes: #300923)
  * Add watch file
  * Update to latest standards version (no changes)
  * Modernise debian/rules
  * Run tests during build
  * Update debian/copyright

 -- Paul Wise <pabs3@bonedaddy.net>  Fri, 19 Aug 2005 15:10:37 +0800

re2c (0.9.1-7) unstable; urgency=low

  * QA Group upload orphaning this package

 -- Andrew Pollock <apollock@debian.org>  Wed,  7 Sep 2005 09:47:06 +1000

re2c (0.9.1-6) unstable; urgency=high

  * The bootstrapping system was broken by the last upload.  This upload
    corrects the bootstrap path, and yacc and re2c paths should work as well.

 -- Daniel Bungert <drb@debian.org>  Thu,  2 Sep 2004 23:55:31 -0400

re2c (0.9.1-5) unstable; urgency=high

  * Apply workaround from  LaMont Jones <lamont@mmjgroup.com> for race
    condition in build scripts. (Closes: #259337, #268673)

 -- Daniel Bungert <drb@debian.org>  Wed,  1 Sep 2004 20:51:21 -0400

re2c (0.9.1-4) unstable; urgency=low

  * Apply workaround from Serge Semashko <ss@vba.com.by> to remove
    some useless compilier warnings (warning: label 'foo' defined but
    not used) in generated code.
  * Now builds with g++-3.3.
  * Build with g++3.3 for c102 transition.  (Closes: #236115)
  * Standards version 3.6.1

 -- Daniel Bungert <drb@debian.org>  Thu, 04 Mar 2004 20:36:19 -0500

re2c (0.9.1-3) unstable; urgency=low

  * More debian/rules cleaning.
  * Remove bogus build-dep.

 -- Daniel Bungert <drb@debian.org>  Fri, 08 Mar 2002 11:19:19 -0500

re2c (0.9.1-2) unstable; urgency=low

  * Now builds with g++-3.
  * A little debian/rules cleaning.

 -- Daniel Bungert <drb@debian.org>  Sun, 11 Nov 2001 15:17:26 -0500

re2c (0.9.1-1) unstable; urgency=low

  * Initial Release. (Closes: #113641)

 -- Daniel Bungert <drb@debian.org>  Sun, 16 Sep 2001 01:35:17 -0400
